%define cvs	20061210

Summary: 	Lightweight SIP internet videophone
Name: 	 	minisip
Version: 	0.7.1
Release: 	%mkrel 0.%cvs.2
License:	GPL
Group:		Communications
URL:		http://www.minisip.org/
Source:		%{name}-%{version}-%cvs.tar.bz2
BuildRequires:	pkgconfig ImageMagick
BuildRequires:	libmikey-devel >= 0.4.1-0.20061210.0
BuildRequires:	libmnetutil-devel >= 0.3.1-0.20061210.0
BuildRequires:	libmsip-devel >= 0.3.1-0.20061210.0
BuildRequires:	libmstun-devel >= 0.5.0-0.20061210.0
BuildRequires:	libmutil-devel >= 0.3.1-0.20061210.0
BuildRequires:	libminisip-devel >= 0.3.1-0.20061210.0
BuildRequires:	libglade2.0-devel libglademm-devel openssl-devel >= 0.9.8
BuildRequires:	XFree86-devel
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires:	libminisip-plugins >= 0.3.1-0.20061210.0
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Minisip is a SIP User Agent ("Internet telephone") developed at KTH, Stockholm.

%prep

%setup -q -n %{name}

%build
./bootstrap
%configure2_5x \
    --enable-textui \
    --enable-video

%make
										
%install
rm -rf %{buildroot}

%makeinstall

#menu
mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
command="%{name}_gtkgui" \
icon="%{name}.png" \
needs="x11" \
title="MiniSIP" \
longtitle="SIP Videophone" \
section="More Applications/Communications" \
xdg="true"
EOF

#icons
install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}

convert -size 48x48 share/tray_icon.png %{buildroot}%{_liconsdir}/%{name}.png
convert -size 32x32 share/tray_icon.png %{buildroot}%{_iconsdir}/%{name}.png
convert -size 16x16 share/tray_icon.png %{buildroot}%{_miconsdir}/%{name}.png

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=MiniSIP
Comment=SIP Videophone
Exec=%{name}_gtkgui
Icon=%{name}
Terminal=false
Type=Application
Categories=GNOME;GTK;Network;Telephony;X-MandrivaLinux-Internet-VideoConference;
EOF

%find_lang %{name}

%post
%update_menus
%update_desktop_database
		
%postun
%clean_menus
%clean_desktop_database

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/*.desktop


%changelog
* Sun Feb 25 2007 Emmanuel Andry <eandry@mandriva.org> 0.7.1-0.20061210.2mdv2007.0
+ Revision: 125624
- rebuild

* Tue Dec 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-0.20061210.1mdv2007.1
+ Revision: 95970
- added XFree86-devel as a build dep
- fixed build deps
- fix build deps
- use stricter build deps
- new snap (20061210)
- fix the xdg menus stuff
- Import minisip



* Thu May 18 2006 Austin Acton <austin@mandriva.org> 0.7.1-0.20060517.1mdk
- cvs
- mkrel
- enable video
- enable text ui

* Sat Apr 15 2006 Austin Acton <austin@mandriva.org> 0.7.0-3mdk
- buildrequires glademm (Colin Guthrie, only took 10 months!)

* Fri Mar 31 2006 Austin Acton <austin@mandriva.org> 0.7.0-2mdk
- Rebuild

* Tue Feb 22 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Tue Feb 8 2005 Austin Acton <austin@mandrake.org> 0.6.2-2mdk
- fix menu

* Thu Feb 3 2005 Austin Acton <austin@mandrake.org> 0.6.2-1mdk
- initial package
